summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2020-06-03 22:21:52 +0200
committerPatrice Clement <monsieurp@gentoo.org>2020-06-03 22:54:05 +0200
commit514545c76bff11a20835b43ce8e2b53c4a110ea5 (patch)
tree2a85ebf29fbbdbbbe6e01d0c69bbb560ca1e5819
parentapp-misc/i2bits: honor CFLAGS. (diff)
downloadgentoo-514545c76bff11a20835b43ce8e2b53c4a110ea5.tar.gz
gentoo-514545c76bff11a20835b43ce8e2b53c4a110ea5.tar.bz2
gentoo-514545c76bff11a20835b43ce8e2b53c4a110ea5.zip
app-misc/ttyload: honor CC, CFLAGS and LDFLAGS.
Closes: https://bugs.gentoo.org/722384 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
-rw-r--r--app-misc/ttyload/ttyload-0.5.3.ebuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/app-misc/ttyload/ttyload-0.5.3.ebuild b/app-misc/ttyload/ttyload-0.5.3.ebuild
index 09ffb3b7571..a3d6358a831 100644
--- a/app-misc/ttyload/ttyload-0.5.3.ebuild
+++ b/app-misc/ttyload/ttyload-0.5.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -22,11 +22,14 @@ DOCS=( BUGS HISTORY LICENSE README.md TODO )
src_prepare() {
default
sed -i '10i#include <time.h>' "${PN}.h" || die
- sed -i -e "s#make#$\(MAKE\)#" Makefile || die
+
+ sed -e "s#make#$\(MAKE\)#" \
+ -e "s#^CFLAGS.*#CFLAGS=\$(INCLUDES) ${CFLAGS} \$(VERSION)#" \
+ -i Makefile || die
}
src_compile() {
- emake CC=$(tc-getCC)
+ emake CC=$(tc-getCC) LDFLAGS="${LDFLAGS}"
}
src_install() {